Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class IndexThreshWithTypeParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.IndexThreshParams
          umontreal.iro.lecuyer.contactcenters.msk.params.IndexThreshWithTypeParams

    public class IndexThreshWithTypeParams

extends IndexThreshParams

Contains the parameters for a condition comparing an indexed quantity with a fixed threshold, possibly for a specific call type.

Java class for IndexThreshWithTypeParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IndexThreshWithTypeParams">
       <complexContent>
         <extension base="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}IndexThreshParams">
           <attribute name="type" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected Integer` | `type`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.IndexThreshParams
`index, rel, threshold`

Constructor Summary
`IndexThreshWithTypeParams()`

Method Summary
`int` | `getType()` Gets the value of the type property.
`boolean` | `isSetType()`
`void` | `setType(int value)` Sets the value of the type property.
`void` | `unsetType()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.IndexThreshParams
`getIndex, getRel, getThreshold, isSetIndex, isSetRel, isSetThreshold, setIndex, setRel, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected Integer type

Constructor Detail

### IndexThreshWithTypeParams

    public IndexThreshWithTypeParams()

Method Detail

### getType

    public int getType()

  Gets the value of the type property.

  Returns:
    possible object is `Integer`

### setType

    public void setType(int value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetType

    public boolean isSetType()

### unsetType

    public void unsetType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.